httpd(1m)

NAME
httpd - Apache hypertext transfer protocol server

SYNOPSIS
httpd [ -vX? ] [ -d serverroot ] [ -f config ]

DESCRIPTION
httpd is the Apache HyperText Transfer Protocol (HTTP) server process. The server may be invoked by the Internet daemon inetd(1M) each time a connection to the HTTP service is made, or alternatively it may run as a daemon.

OPTIONS

-d serverroot
    Set the initial value for the ServerRoot variable to serverroot. This can be overridden by the ServerRoot command in the configuration file. The default is /usr/local/etc/httpd.

-f config
    Execute the commands in the file config on startup. If config does not begin with a /, then it is taken to be a path relative to the ServerRoot. The default is conf/httpd.conf.

-X  Run in single-process mode, for internal debugging purposes only; the daemon does not detach from the terminal or fork any children. Do NOT use this mode to provide ordinary web service.

-v  Print the version of httpd, and then exit.

-?  Print a list of the httpd options, and then exit.

FILES
/usr/local/etc/httpd/conf/httpd.conf
/usr/local/etc/httpd/conf/srm.conf
/usr/local/etc/httpd/conf/access.conf
/usr/local/etc/httpd/conf/mime.types
/usr/local/etc/httpd/logs/error_log
/usr/local/etc/httpd/logs/access_log
/usr/local/etc/httpd/logs/httpd.pid

SEE ALSO
inetd(1m).

Documentation for the Apache http server is available from http://www.apache.org